dbplus_update
dbplus_xunlockrel
DB++ Functions
PHP Manual

# dbplus_xlockrel

(PHP 4 <= 4.1.0, PECL dbplus >= 0.9)

dbplus_xlockrel — Request exclusive lock on relation

### Description

int dbplus_xlockrel ( resource `$relation` )

Request an exclusive lock on `relation` preventing even read access from other clients.

### Parameters

`relation`

  A relation opened by dbplus_open().

### Return Values

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- dbplus_xunlockrel() - Free exclusive lock on relation

dbplus_update
dbplus_xunlockrel
DB++ Functions
PHP Manual